lnmp安装多版本PHP共存的方法详解

2018-10-19 小惟 34

通过lnmp安装了PHP7版本,但是发现与程序不兼容,需要降低到7.0以下的版本。

查找lnmp的install.sh文件,一般在/root/lnmp1.5/install.sh 下执行命令

sudo ./install.sh mphp


等待安装过程

安装结束

 

有多个PHP版本


5.在/usr/local/nginx/conf 下会多一个enable-php5.6.conf
 

需要修改nginx配置,找到include enable-php.conf; 修改为include enable-php5.6.conf;

 

重新启动sudo lnmp restart


8.停掉原版本的php

/etc/init.d/php-fpm {start|stop|quit|restart|reload|logrotate}

注意:

访问网页时可能会出现502错误,查看nginx的error.log发现如下日志:

2018/08/02 06:44:20 [crit] 11744#0: *46 connect() to unix:/tmp/php-cgi.sock failed (2: No such file or directory) while connecting to upstream, client: 114.244.134.66, server: tpshop.goldblockchain.org.cn, request: "GET / HTTP/1.1", upstream: "fastcgi://unix:/tmp/php-cgi.sock:", host: "tpshop.goldblockchain.org.cn"

需要nginx.conf 与php-fpm.conf 中关于/tmp/php-cgi.sock配置要统一,因为安装其他版本PHP,此sock名称会不同


模板坊版权所有 京ICP备16066985号-2 京公网安备11010602022036号

100041

QQ:504895209

— 努力创造优质作品,奉献更多精品佳作 —

模板坊 - APP应用开发|网站建设|平面设计